6.0.0-git
2019-04-24

[#14147] Android Phone cannot Sync after Update
Summary Android Phone cannot Sync after Update
Queue Synchronization
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester info (at) slater (dot) be
Created 2015-10-29 (1273 days ago)
Due
Updated 2015-11-22 (1249 days ago)
Assigned 2015-11-11 (1260 days ago)
Resolved 2015-11-22 (1249 days ago)
Milestone
Patch No

History
2015-11-22 17:59:00 Michael Rubinsky State ⇒ Resolved
 
2015-11-13 01:00:22 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit 805b9b5b80a55e80e506b7670847f843a511cc36
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Nov 12 19:59:07 2015 -0500

     Bug: 14147 Fix WHERE clause.

  .../ActiveSync/lib/Horde/ActiveSync/State/Sql.php  |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/805b9b5b80a55e80e506b7670847f843a511cc36
2015-11-12 16:18:58 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 6b7232e1eae6f73f72044fa81951027e0be7b530
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Nov 12 11:17:40 2015 -0500

     Bug: 14147 Use a join here to be sure the entry exists in both tables.

     Still need to figure out how it can be removed from one and not the
     other.

  .../ActiveSync/lib/Horde/ActiveSync/State/Sql.php  |    4 +++-
  1 files changed, 3 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/6b7232e1eae6f73f72044fa81951027e0be7b530
2015-11-12 16:05:12 Michael Rubinsky Comment #10 Reply to this comment
Huh. That's interesting. That's definitely the issue. You can delete 
that entry from the database which should fix the issue.

I'll have to investigate how that could have happened in the first 
place, and check for that case as well.
2015-11-12 15:51:49 info (at) slater (dot) be Comment #9 Reply to this comment
Horde_activesync_device_users;

| ANDROIDC719724342          | xyz@cyxxc.er                      |     
            0 |


but no entry in horde_activesync_device;
2015-11-12 15:44:39 Michael Rubinsky Comment #8 Reply to this comment
Yeah, the case sensitivity thing I saw was just a log output issue. 
Not the cause of your issue.

Look in your database and see if you have a device entry for that 
device in the horde_activesync_device table.
2015-11-12 08:56:40 info (at) slater (dot) be Comment #7 Reply to this comment
Same error...

i can't reproduce the update procedure,
because i've checked a Long time ago.
I Need it only to sync my Phonebook Initial
2015-11-11 17:15:09 Michael Rubinsky Comment #6
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Looks like a case-sensitivity issue with the client id. You didn't 
mention what versions you were updating from/to, but there haven't 
been any change in code that would affect this in a LONG time.

My suggestion would be to delete the account from the client and 
re-create it and see if that works.
2015-11-09 14:11:20 info (at) slater (dot) be Comment #5 Reply to this comment
If i add an iphone i've no Problems.

Active Sync Log:

2015-11-09T14:01:06+00:00 androidc719xxx342 INFO: [21306] 
Horde_Core_ActiveSync_Driver::authenticate() attempt for xxxxxxxxxx
2015-11-09T15:01:07+01:00 androidc719xxx342 INFO: [21306] FOLDERSYNC 
request received for user xxxxxxxxxx
2015-11-09T14:01:13+00:00 androidc719xxx342 INFO: [20899] 
Horde_Core_ActiveSync_Driver::authenticate() attempt for xxxxxxxxxx
2015-11-09T15:01:14+01:00 androidc719xxx342 INFO: [20899] FOLDERSYNC 
request received for user xxxxxxxxx


Horde.log:


2015-11-09T14:01:14+00:00 NOTICE: HORDE [imp] Login success for 
xxxxxxx (80.xxx.xxx.xxx) to {imap://localhost/} [pid 20899 on line 157 
of "/var/www/
global/horde/imp/lib/Auth.php"]
2015-11-09T15:01:14+01:00 ERR: HORDE Returning HTTP 500 while handling 
FolderSync command. Error is: Device not found. [pid 20899 on line 160 
of "/var/www/
global/horde/rpc.php"]
2015-11-09T15:01:14+01:00 ERR: HORDE Error in communicating with 
ActiveSync server: Device not found. [pid 20899 on line 165 of 
"/usr/share/php/Horde/Rpc/A
ctiveSync.php"]
2015-11-09T15:01:14+01:00 ERR: HORDE #0 
/usr/share/php/Horde/ActiveSync.php(874): 
Horde_ActiveSync_State_Sql->loadDeviceInfo('ANDROIDC719xxx3...', 
'info@sl
ater.be')
#1 /usr/share/php/Horde/ActiveSync.php(752): 
Horde_ActiveSync->_handleDevice('ANDROIDC719xxx3...')
#2 /usr/share/php/Horde/Rpc/ActiveSync.php(143): 
Horde_ActiveSync->handleRequest('FolderSync', 'androidc719xxx3...')
#3 /var/www/global/horde/rpc.php(160): Horde_Rpc_ActiveSync->getResponse(NULL)
#4 {main} [pid 20899 on line 165 of "/usr/share/php/Horde/Rpc/ActiveSync.php"]
2015-11-09T15:01:14+01:00 ERR: HORDE Buffer contents:  [pid 20899 on 
line 165 of "/usr/share/php/Horde/Rpc/ActiveSync.php"]

2015-11-08 18:23:46 Michael Rubinsky State ⇒ No Feedback
 
2015-11-02 16:20:56 Michael Rubinsky Comment #4
Priority ⇒ 1. Low
Reply to this comment
Not much we can do without more information, and still cannot reproduce.
2015-10-29 13:54:02 info (at) slater (dot) be Comment #3 Reply to this comment
Horde logs nothing...

no file is created

$conf['log']['priority'] = 'INFO';
$conf['log']['ident'] = 'HORDE';
$conf['log']['name'] = '/var/log/horde/horde.log';
$conf['log']['params']['append'] = true;
$conf['log']['params']['format'] = 'default';
$conf['log']['type'] = 'file';
$conf['log']['enabled'] = true;
$conf['log_accesskeys'] = false;

$conf['activesync']['logging']['path'] = 
'/var/log/horde/horde-activesync.log';
$conf['activesync']['logging']['type'] = 'onefile';



2015-10-29 12:16:26 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Cannot reproduce.

What does the webserver error log show? The sync log?
2015-10-29 07:58:19 info (at) slater (dot) be Comment #1 (Private)
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Android Phone cannot Sync after Update
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
[Hidden]

Saved Queries